/*
 * $Id: dpcap_ns.h,v 1.1.1.1 2000/10/09 22:11:52 laik Exp $
 *
 * Copyright (C) 1998 Kevin Lai
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __DPCAP_NS_H__
#define __DPCAP_NS_H__

#include "dpcap_flow.h"

struct NSClient;
typedef struct NSClient NSClient;

NSClient *
NSNew(const char *file_name, const char **timers, int num_servers,
      DPCapFlowSet *flow_set);

void
NSDelete(NSClient *client);

void
NSGetPackets(NSClient *client);

#endif
